Summary:      A set of audio plugins for LADSPA
Name:         swh-plugins
Version:      0.4.15
Release:      2%{?dist}
License:      GPL
Group:        Applications/Multimedia
Source:       http://plugin.org.uk/releases/0.4.15/swh-plugins-0.4.15.tar.gz
Patch0:       swh-plugins-0.4.14-Makefile.in.patch
URL:          http://plugin.org.uk/
BuildRoot:    %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: fftw3-devel ladspa-devel libxml2-devel pkgconfig

%description
A set of audio plugins for LADSPA (see http://plugin.org.uk/ for more
details).

%prep
%setup -q
%patch0 -p0

%build
CFLAGS="$RPM_OPT_FLAGS" %configure --disable-static
%{__make} %{?_smp_mflags} static

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install
%find_lang swh-plugins

%clean
%{__rm} -rf %{buildroot}

%files -f swh-plugins.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_libdir}/ladspa/*.so
%{_datadir}/ladspa/rdf/*

%changelog
* Sun Sep 10 2006 Anthony Green <green@redhat.com> 0.4.15-2
- Add BuildRequires for pkgconfig.

* Sat Sep  9 2006 Anthony Green <green@redhat.com> 0.4.15-1
- Update sources.  Remove obsolete patch.

* Mon Apr 24 2006 Anthony Green <green@redhat.com> 0.4.14-3
- Add -configure patch.  Configure with --disable-static.

* Mon Apr 24 2006 Anthony Green <green@redhat.com> 0.4.14-2
- Fix Summary.
- Don't install INSTALL or the empty NEWS file.
- Remove some BuildRequirements.

* Sat Apr 22 2006 Anthony Green <green@redhat.com> 0.4.14-1
- Build for Fedora Extras.
- Use %find_lang.
- Don't own the ladspa dir.

* Fri Jun 24 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.13
- removed ps_in and ps_out external declarations in pitchscale.h,
  otherwise build fails in fc4/gcc4
* Fri Mar 25 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.13-1
- updated to 0.4.13
* Mon Jan 24 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.12-1
- updated to 0.4.12
* Mon Dec 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>  
- spec file cleanup
* Mon Nov 15 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.11-1
- updated to 0.4.11
* Tue Jul 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.7-1
- updated to 0.4.7
- multiarch build, up optimization to original -O6
* Sun Jul  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.4-1
- updated to 0.4.4
* Fri May 14 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.3-3
- more buildrequires, fixed file list
- patch for gcc3.3 happiness
* Sat May  8 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added proper buildrequires
* Wed Feb 18 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.3-2
- changed name of ladspa package, do not depend on it explicitly
* Tue Dec  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.3-1
- updated to 0.4.3
* Sat Oct 11 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-2
- updated to snapshot of 2003-08-19, jackEq requires dj_eq_1901
* Mon Jun  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.2-1
- updated to 0.4.2
* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-2
- rebuilt for newer version of fftw
* Tue Apr  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.0-1
- updated to 0.4.0
* Fri Mar  7 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.7-1
- updated to 0.3.7
* Mon Jan 13 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.6-1
- updated to 0.3.6... boy, this is movin fast :-)
* Fri Jan 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.5
- updated to 0.3.5... should have waited :-)
* Thu Jan  9 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.4
- updated to 0.3.4
* Wed Dec 06 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.3
- updated to 0.3.3
* Wed Dec 04 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.2
- updated to 0.3.2
* Fri Nov  1 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.3.0
- updated to 0.3.0
* Fri Sep 06 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- updated to 0.2.8
* Fri Jan 18 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- updated to 0.2.3
- changed to globbing of .so files
* Thu Aug 23 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added prefix, cleanup
